| Home | Libraries | People | FAQ | More

## Struct template avltree_node_cloner

boost::intrusive::avltree_algorithms::avltree_node_cloner

## Synopsis

    // In header: <boost/intrusive/avltree_algorithms.hpp>

    template<typename F>
    struct avltree_node_cloner {
      // types
      typedef unspecified base_t;

      // construct/copy/destruct
      avltree_node_cloner(F);

      // public member functions
      node_ptr operator()(node_ptr);
    };

## Description

### `avltree_node_cloner` public construct/copy/destruct

1.     avltree_node_cloner(F f);

### `avltree_node_cloner` public member functions

1.     node_ptr operator()(node_ptr p);